=== debian/changelog ===
yarock (1.3.1-0mx17) mx; urgency=medium

  * New upstream release
  * Packaged for MX-17

 -- Timothy E. Harris <maintainer@mxrepo.com>  Wed, 04 Jul 2018 20:35:57 -0400
