=== debian/control ===
Source: yarock
Section: sound
Priority: extra
Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
Bugs: mailto: maintainer@mxrepo.com
XSBC-Original-Maintainer: Rog131 <samrog131@hotmail.com>
Build-Depends: debhelper (>= 8.0), 
 cmake (>= 2.8.6),
 qtbase5-dev,
 qtbase5-private-dev,
 qttools5-dev-tools,
 libqt5x11extras5-dev,
 libphonon4qt5-dev, 
 libtag1-dev,
 libtag-extras-dev,
 pkg-config,
 libx11-dev,
 libhtmlcxx-dev,
 libqjson-dev,
 libmpv-dev,
 libvlc-dev,
 qtchooser | qt5-default | qtbase5-dev
Standards-Version: 3.9.6
Homepage: http://qt-apps.org/content/show.php/YaRock?content=129372

Package: yarock
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5sql5-sqlite,
 phonon4qt5-backend-gstreamer | phonon4qt5-backend-vlc
Recommends: gstreamer1.0-plugins-good,
 gstreamer1.0-plugins-bad,
 gstreamer1.0-plugins-ugly
Description: a Qt based music player
 Yarock is a music player in c++/Qt designed to provide a clean, 
 simple and beautiful music collection based on album coverart.
 .
 Yarock is written in C++ using Qt and Phonon multimedia framework, only for 
 Linux platform.
 .
 Features include:
 * Music collection database (SQLite 3)
 * Browse your local music collection based on cover art 
 * Easy search and filter music collection
 * Manage favorites item (album, artist)
 * Play music directly from collection or playqueue
 * Simple Playqueue
 * Smart playlist generator 
 * Support mp3,Ogg Vorbis,flac music files (depending on phonon backend)
 * Support load/save playlist file (m3u, pls, xspf)
 * Play radio stream (icecast, shoutcast, user stream files)
 * Mp3Gain tag support for volume normalization
 * Cover art download (Last.fm/discogs services)
 * Last Fm scrobbler
 * Command line interface, Mpris interface
 * Clean and simple user interface 
 * No GNOME or KDE dependencies
 .
 http://qt-apps.org/content/show.php/YaRock?content=129372
