=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS
export QT_SELECT=qt5

%:
	dh $@ --parallel

override_dh_auto_configure:
	cmake -DCMAKE_BUILD_TYPE=Release \
       -DCMAKE_INSTALL_PREFIX=/usr \
       -DENABLE_MPV=ON \
       -DENABLE_PHONON=ON
