=== src/core/player/phonon/CMakeLists.txt ===
--- 
+++ 
@@ -34,7 +34,7 @@
 
 
 if (ENABLE_QT5)
-    INCLUDE_DIRECTORIES( ${PHONON_INCLUDE_DIR}/phonon4qt5 )
+    INCLUDE_DIRECTORIES( ${PHONON4QT5_INCLUDE_DIR}/phonon4qt5 )
 else (ENABLE_QT5)
     INCLUDE_DIRECTORIES( ${PHONON_INCLUDES} )
 endif (ENABLE_QT5)
