=== src/core/player/vlc/CMakeLists.txt ===
--- 
+++ 
@@ -49,6 +49,12 @@
 
 
 # ------------------------------------------------------------------------------
+#  configure file
+# ------------------------------------------------------------------------------
+configure_file(${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/config.h.in
+               ${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/core/player/vlc/config.h)
+               
+# ------------------------------------------------------------------------------
 #  SOURCES
 # ------------------------------------------------------------------------------
 SET(SOURCES
@@ -57,6 +63,8 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/core/player/vlc/vlc_media.cpp
 )
 
+
+               
 # ------------------------------------------------------------------------------
 #  BUILDING
 # ------------------------------------------------------------------------------
