=== debian/changelog ===
yarock (1.4.0+dfsg-1+20201123+2101+amd64+build1) 2101+amd64; urgency=medium

  * Automatic CI Build

 -- Debian CI <null@debian.org>  Mon, 07 Dec 2020 20:01:58 +0000

yarock (1.4.0+dfsg-1) unstable; urgency=medium

  * Initial Release. (Closes: #920688)

 -- Scarlett Moore <sgmoore@kde.org>  Mon, 28 Jan 2019 03:55:42 -0700
