=== debian/control ===
Source: yarock
Section: sound
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>
Build-Depends: cmake,
               debhelper (>= 12),
               libhtmlcxx-dev,
               libphonon4qt5-dev,
               libqt5sql5-sqlite,
               libqt5x11extras5-dev,
               libtag1-dev,
               libx11-dev,
               pkg-config,
               qtbase5-dev,
               qtbase5-dev-tools,
               qtbase5-private-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.3.0
Homepage: http://qt-apps.org/content/show.php/YaRock?content=129372
Vcs-Git: https://github.com/dci-extras-packaging/yarock
Vcs-Browser: https://github.com/dci-extras-packaging/yarock

Package: yarock
Architecture: any
Depends: libqt5sql5-sqlite,
         phonon4qt5-backend-gstreamer,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gstreamer1.0-plugins-bad,
            gstreamer1.0-plugins-good,
            gstreamer1.0-plugins-ugly
Description: Qt based music player
 Yarock is a music player in c++/Qt designed to provide a clean,
 simple and beautiful music collection based on album coverart.
 .
 Yarock is written in C++ using Qt and Phonon multimedia framework, only for
 linux platform.
 .
 Features include:
  * Music collection database (SQLite 3)
  * Browse your local music collection based on cover art
  * Easy search and filter music collection
  * Manage favorites item (album, artist)
  * Play music directly from collection or playqueue
  * Simple Playqueue
  * Smart playlist generator
  * Support mp3,Ogg Vorbis,flac music files (depending on phonon backend)
  * Support load/save playlist file (m3u, pls, xspf)
  * Play radio stream (icecast, shoutcast, user stream files)
  * Mp3Gain tag support for volume normalization
  * Cover art download (Last.fm/discogs services)
  * Last Fm scrobbler
  * Command line interface, Mpris interface
  * Clean and simple user interface
  * No GNOME or KDE dependencies
