=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=/usr \
	-DENABLE_QT5=1 -DENABLE_VLC=OFF -DENABLE_MPV=OFF -DENABLE_PHONON=ON

override_dh_auto_install:
	dh_auto_install
	rm -f $(CURDIR)/debian/yarock/usr/share/doc/yarock/COPYING.gz
