=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//" \
https://launchpad.net/yarock/+download .*/Yarock@ANY_VERSION@_Sources@ARCHIVE_EXT@
